"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var react_native_webview_1 = __importDefault(require("react-native-webview"));
var blur_1 = require("@react-native-community/blur");
var BlurView = function (_a) {
    var _b = _a.backgroundColor, backgroundColor = _b === void 0 ? 'rgba(3, 24, 50, 0.46)' : _b, _c = _a.blurRadius, blurRadius = _c === void 0 ? 10 : _c, _d = _a.zIndex, zIndex = _d === void 0 ? 1000 : _d, _e = _a.blur, blur = _e === void 0 ? false : _e;
    if (react_native_1.Platform.OS === 'android') {
        return (<blur_1.BlurView style={{
                position: 'absolute',
                top: 0,
                left: 0,
                bottom: 0,
                right: 0,
                backgroundColor: backgroundColor,
                zIndex: zIndex,
            }} blurType="dark" blurAmount={blurRadius} overlayColor={String(backgroundColor)}/>);
    }
    return (<react_native_1.View style={[
            react_native_1.StyleSheet.absoluteFill,
            {
                backgroundColor: '#00000000',
                overflow: 'hidden',
                zIndex: zIndex,
            },
        ]}>
      <react_native_webview_1.default style={{
            width: '100%',
            height: '100%',
            backgroundColor: '#00000000',
        }} originWhitelist={['*']} overScrollMode="never" scrollEnabled={false} source={{
            html: "\n\t\t\t\t\t\t<html>\n\t\t\t\t\t\t\t<head>\n\t\t\t\t\t\t\t\t<meta name=\"viewport\" content=\"initial-scale=1.0 maximum-scale=1.0\" />\n\t\t\t\t\t\t\t\t<style>\n\t\t\t\t\t\t\t\t\t.blur {\n\t\t\t\t\t\t\t\t\t\tposition: absolute;\n\t\t\t\t\t\t\t\t\t\ttop: 0;\n\t\t\t\t\t\t\t\t\t\tright:0;\n\t\t\t\t\t\t\t\t\t\tbottom: 0;\n\t\t\t\t\t\t\t\t\t\tleft: 0;\n\t\t\t\t\t\t\t\t\t\theight: ".concat(react_native_1.Dimensions.get('screen').height, "px;\n\t\t\t\t\t\t\t\t\t\tbackground: ").concat(String(backgroundColor), ";\n\t\t\t\t\t\t\t\t\t\t-webkit-backdrop-filter: blur(").concat(blur ? blurRadius : 0, "px);\n\t\t\t\t\t\t\t\t\t\tbackdrop-filter: blur(").concat(blur ? blurRadius : 0, "px);\n\t\t\t\t\t\t\t\t\t}\n\t\t\t\t\t\t\t\t</style>\n\t\t\t\t\t\t\t</head>\n\t\t\t\t\t\t\t<body>\n\t\t\t\t\t\t\t\t<div class=\"blur\" />\n\t\t\t\t\t\t\t</body>\n\t\t\t\t\t\t</html>\n\t\t\t\t\t"),
        }}/>
    </react_native_1.View>);
};
exports.default = BlurView;
//# sourceMappingURL=BlurView.js.map