"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var text_1 = __importDefault(require("./text"));
var ToggleChip = function (_a) {
    var label = _a.label, leftIcon = _a.leftIcon, rightIcon = _a.rightIcon, onPress = _a.onPress, _b = _a.disabled, disabled = _b === void 0 ? false : _b, _c = _a.selected, selected = _c === void 0 ? false : _c, _d = _a.size, size = _d === void 0 ? 'small' : _d, _e = _a.shape, shape = _e === void 0 ? 'pill' : _e, _f = _a.variant, variant = _f === void 0 ? 'outline' : _f;
    var getContainerStyle = function () {
        var baseStyle = "flex-row items-center ".concat(size === 'medium' ? 'h-[36px] px-[12px]' : 'h-[32px] px-[10px]', " ").concat(disabled ? 'opacity-50' : '');
        // Shape 스타일
        baseStyle += " ".concat(shape === 'pill' ? 'rounded-full' : 'rounded-lg');
        // Variant와 Selected 상태에 따른 스타일
        if (selected) {
            baseStyle += ' bg-[#111827] border border-[#111827]';
        }
        else {
            if (variant === 'outline') {
                baseStyle += ' border border-[#E5E7EB]';
            }
            else {
                baseStyle += ' bg-[#F3F4F6]';
            }
        }
        return baseStyle;
    };
    return (<react_native_1.TouchableOpacity activeOpacity={disabled ? 0.5 : 0.7} onPress={disabled ? undefined : onPress} className={getContainerStyle()}>
      {leftIcon && <react_native_1.View className="mr-[2px]">{leftIcon}</react_native_1.View>}
      <text_1.default face="body" size="small" weight={selected ? 'bold' : 'medium'} textColor={selected ? 'white' : 'black'} className="px-[2px]">
        {label}
      </text_1.default>
      {rightIcon && <react_native_1.View className="ml-[2px]">{rightIcon}</react_native_1.View>}
    </react_native_1.TouchableOpacity>);
};
exports.default = ToggleChip;
//# sourceMappingURL=ToggleChip.js.map