import * as React from 'react';
import { TextProps as RNTextProps } from 'react-native';
type TextFace = 'display' | 'title' | 'body' | 'paragraph' | 'caption';
type ParagraphSize = 'xsmall' | 'small' | 'medium' | 'large' | 'xlarge' | '2xlarge';
type TextWeight = 'thin' | 'light' | 'regular' | 'medium' | 'semibold' | 'bold' | 'extrabold';
type TextSize = ParagraphSize;
interface CustomTextProps {
    face: TextFace;
    size: TextSize;
    weight?: TextWeight;
    textColor?: string;
    children: any;
    className?: string;
    underline?: boolean;
    restProps?: any;
}
type TextProps = Omit<RNTextProps, 'style'> & CustomTextProps;
export default function Text({ face, size, weight, textColor, children, className, underline, ...restProps }: TextProps): React.JSX.Element;
export {};
//# sourceMappingURL=text.d.ts.map